<?php
class Dashboardmodel extends CI_Model{

/*default functions*/
public function common_fetch($table,$where){
	$this->db->where($where);
	$this->db->order_by('id','desc');
	$query = $this->db->get($table);
	return $query->result_array();
}
public function common_insert($table,$data){
	$this->db->insert($table,$data);
	$id = $this->db->insert_id();
	return $id;
}
public function common_update($table,$data,$where){
	$this->db->where($where);
	$this->db->update($table,$data);
}
public function common_delete($table,$where){
	$this->db->where($where);
	$this->db->delete($table);
}
/*default functions*/

/*home page*/
public function today_orders_count($date){
    $this->db->where('created_on',$date);
    $this->db->group_start();
    $this->db->where('status','ordered');
    $this->db->or_where('status','pickup');
    $this->db->or_where('status','ontheway');
    $this->db->group_end();
    $query = $this->db->get('orders');
    return $query->num_rows();
}
/*home page*/

/*users*/
public function get_users_rows(){
    //$this->db->where('delete_status',1);
    $this->db->where('delete_status',1);
	$this->db->order_by('id','desc');
	$query = $this->db->get('users');
	return $query->num_rows();
}
public function users($page,$seg){
    //$this->db->where('fi.delete_status',1);
    $this->db->where('u.delete_status',1);
	$this->db->order_by('u.id','desc');
	$this->db->select('u.*,ua.address,ua.lat,ua.lon')->from('users u');
	$this->db->join('user_addresses ua','ua.user_id=u.id','left');
	$this->db->limit($page,$seg);
	$query = $this->db->get();
	return $query->result_array();
}
public function users_search_rows($users_search){
    //$this->db->where('delete_status',1);
    $this->db->where('delete_status',1);
    $this->db->like('name',$users_search);
	$this->db->order_by('id','desc');
	$query = $this->db->get('users');
	return $query->num_rows();
}
public function users_search($page,$seg,$users_search){
    //$this->db->where('fi.delete_status',1);
    $this->db->where('u.delete_status',1);
    $this->db->like('u.name',$users_search);
	$this->db->order_by('u.id','desc');
	$this->db->select('u.*,ua.address,ua.lat,ua.lon')->from('users u');
	$this->db->join('user_addresses ua','ua.user_id=u.id','left');
	$this->db->limit($page,$seg);
	$query = $this->db->get();
	return $query->result_array();
}
public function download_users(){
    $this->db->where('u.delete_status',1);
	//$this->db->order_by('u.id','desc');
	$this->db->select('u.*,ua.address,ua.lat,ua.lon')->from('users u');
	$this->db->join('user_addresses ua','ua.user_id=u.id','left');
	$query = $this->db->get();
	return $query->result_array();
}
/*users*/

/*Categories*/
public function get_categories_rows(){
	//$this->db->order_by('category_id','desc');
	$this->db ->where('delete_status',1);
	$query = $this->db->get('categories');
	return $query->num_rows();
}
public function categories($page,$seg){
	//$this->db->order_by('category_id','desc');
	$this->db->where('delete_status',1);
	$this->db->order_by('id','desc');
	$this->db->limit($page,$seg);
	$query = $this->db->get('categories');
	return $query->result_array();
}
public function categories_search_rows($categories_search){
	//$this->db->order_by('category_id','desc');
	$this->db ->where('delete_status',1);
	$this->db->like('name',$categories_search);
	$query = $this->db->get('categories');
	return $query->num_rows();
}
public function categories_search($page,$seg,$categories_search){
	//$this->db->order_by('category_id','desc');
	$this->db->like('name',$categories_search);
	$this->db ->where('delete_status',1);
	$this->db->order_by('id','desc');
	$this->db->limit($page,$seg);
	$query = $this->db->get('categories');
	return $query->result_array();
}
/*Categories*/

/*food items*/
public function get_food_items_rows(){
    $this->db->where('delete_status',1);
	$this->db->order_by('id','desc');
	$query = $this->db->get('food_items');
	return $query->num_rows();
}
public function food_items($page,$seg){
    $this->db->where('fi.delete_status',1);
	$this->db->order_by('fi.id','desc');
	$this->db->select('fi.*,(c.name)as catgory')->from('food_items fi');
	$this->db->join('categories c','c.id=fi.cat_id','left');
	$this->db->limit($page,$seg);
	$query = $this->db->get();
	return $query->result_array();
}
public function food_items_search_rows($food_items_search){
    $this->db->where('delete_status',1);
	$this->db->like('name',$food_items_search);
	$this->db->order_by('id','desc');
	$query = $this->db->get('food_items');
	return $query->num_rows();
}
public function food_items_search($page,$seg,$food_items_search){
    $this->db->where('fi.delete_status',1);
	$this->db->order_by('fi.id','desc');
	$this->db->select('fi.*,(c.name)as catgory')->from('food_items fi');
	$this->db->join('categories c','c.id=fi.cat_id','left');
	$this->db->like('fi.name',$food_items_search);
	$this->db->limit($page,$seg);
	$query = $this->db->get();
	return $query->result_array();
}
/*food items*/

/*notifications*/
public function get_notifications_rows(){
    $query = $this->db->get('notifications');
    return $query->num_rows();
}
public function notifications($page,$seg){
    $this->db->select('n.*,u.name')->from('notifications n');
    $this->db->join('users u','u.id=n.user_id',"left");
    $this->db->limit($page,$seg);
    $this->db->order_by('id','desc');
    $query = $this->db->get();
    return $query->result_array();
}
/*notifications*/

/*delivery notifications*/
public function get_delivery_notifications_rows(){
    $query = $this->db->get('delivery_notifications');
    return $query->num_rows();
}
public function delivery_notifications($page,$seg){
    $this->db->select('dn.*,db.name')->from('delivery_notifications dn');
    $this->db->join('delivery_boys db','db.id=dn.db_id',"left");
    $this->db->limit($page,$seg);
    $this->db->order_by('id','desc');
    $query = $this->db->get();
    return $query->result_array();
}
/*delivery notifications*/

/*delivery boys*/
public function get_delivery_boys_rows(){
	//$this->db->order_by('category_id','desc');
	$query = $this->db->get('delivery_boys');
	return $query->num_rows();
}
public function delivery_boys($page,$seg){
	//$this->db->order_by('category_id','desc');
	$this->db ->where('delete_status',1);
	$this->db->order_by('id','desc');
	$this->db->limit($page,$seg);
	$query = $this->db->get('delivery_boys');
	return $query->result_array();
}
public function delivery_boys_search_rows($delivery_boys_search){
    $this->db->like('name',$delivery_boys_search);
	//$this->db->order_by('category_id','desc');
	$query = $this->db->get('delivery_boys');
	return $query->num_rows();
}
public function delivery_boys_search($page,$seg,$delivery_boys_search){
	//$this->db->order_by('category_id','desc');
	$this->db->like('name',$delivery_boys_search);
	$this->db ->where('delete_status',1);
	$this->db->order_by('id','desc');
	$this->db->limit($page,$seg);
	$query = $this->db->get('delivery_boys');
	return $query->result_array();
}
/*delivery boys*/

/*new orders*/
public function get_new_orders_rows(){
    $this->db->order_by('id','desc');
    $this->db->group_start();
    $this->db->where('status','ordered');
    $this->db->or_where('status','pickup');
    $this->db->or_where('status','ontheway');
    $this->db->group_end();
    $query = $this->db->get('orders');
    return $query->num_rows();
}
public function new_orders($page,$seg){
    $this->db->select('o.*,u.name,ua.address')->from('orders o');
    $this->db->join('users u','u.id=o.user_id','left');
    $this->db->join('user_addresses ua','ua.user_id=o.user_id','left');
    $this->db->order_by('o.id','desc');
    $this->db->group_start();
    $this->db->where('o.status','ordered');
    $this->db->or_where('o.status','pickup');
    $this->db->or_where('o.status','ontheway');
    $this->db->group_end();
    $this->db->limit($page,$seg);
    $query = $this->db->get();
    return $query->result_array();
}
public function get_ordered_items($order_id){
    $this->db->select('ot.quantity,ft.id,ft.name,ft.type,ft.price,ft.image')->from('ordered_items ot');
    $this->db->where('ot.order_id',$order_id);
    $this->db->join('food_items ft','ft.id=ot.food_item_id',"left");
    $query = $this->db->get();
	return $query->result_array();
}
public function new_orders_search_rows($new_orders_search){
    $this->db->where('order_id',$new_orders_search);
    $this->db->order_by('id','desc');
    $this->db->group_start();
    $this->db->where('status','ordered');
    $this->db->or_where('status','pickup');
    $this->db->or_where('status','ontheway');
    $this->db->group_end();
    $query = $this->db->get('orders');
    return $query->num_rows();
}
public function new_orders_search($page,$seg,$new_orders_search){
    $this->db->select('o.*,u.name,ua.address')->from('orders o');
    $this->db->join('users u','u.id=o.user_id','left');
    $this->db->join('user_addresses ua','ua.user_id=o.user_id','left');
    $this->db->where('o.order_id',$new_orders_search);
    $this->db->order_by('o.id','desc');
    $this->db->group_start();
    $this->db->where('o.status','ordered');
    $this->db->or_where('o.status','pickup');
    $this->db->or_where('o.status','ontheway');
    $this->db->group_end();
    $this->db->limit($page,$seg);
    $query = $this->db->get();
    return $query->result_array();
}
public function new_orders_date_search_rows($new_orders_date_search){
    $this->db->where('created_on',$new_orders_date_search);
    $this->db->order_by('id','desc');
    $this->db->group_start();
    $this->db->where('status','ordered');
    $this->db->or_where('status','pickup');
    $this->db->or_where('status','ontheway');
    $this->db->group_end();
    $query = $this->db->get('orders');
    return $query->num_rows();
}
public function new_orders_date_search($page,$seg,$new_orders_date_search){
    $this->db->select('o.*,u.name,ua.address')->from('orders o');
    $this->db->join('users u','u.id=o.user_id','left');
    $this->db->join('user_addresses ua','ua.user_id=o.user_id','left');
    $this->db->where('o.created_on',$new_orders_date_search);
    $this->db->order_by('o.id','desc');
    $this->db->group_start();
    $this->db->where('o.status','ordered');
    $this->db->or_where('o.status','pickup');
    $this->db->or_where('o.status','ontheway');
    $this->db->group_end();
    $this->db->limit($page,$seg);
    $query = $this->db->get();
    return $query->result_array();
}
/*new orders*/

/*delivered orders*/
public function get_delivered_orders_rows(){
    $this->db->order_by('id','desc');
    $this->db->where('status','delivered');
    $query = $this->db->get('orders');
    return $query->num_rows();
}
public function delivered_orders($page,$seg){
    $this->db->select('o.*,u.name,ua.address')->from('orders o');
    $this->db->join('users u','u.id=o.user_id','left');
    $this->db->join('user_addresses ua','ua.user_id=o.user_id','left');
    $this->db->order_by('o.id','desc');
    $this->db->where('o.status','delivered');
    $this->db->limit($page,$seg);
    $query = $this->db->get();
    return $query->result_array();
}
public function delivered_orders_search_rows($delivered_orders_search){
    $this->db->where('order_id',$delivered_orders_search);
    $this->db->order_by('id','desc');
    $this->db->where('status','delivered');
    $query = $this->db->get('orders');
    return $query->num_rows();
}
public function delivered_orders_search($page,$seg,$delivered_orders_search){
    $this->db->select('o.*,u.name,ua.address')->from('orders o');
    $this->db->join('users u','u.id=o.user_id','left');
    $this->db->join('user_addresses ua','ua.user_id=o.user_id','left');
    $this->db->where('o.order_id',$delivered_orders_search);
    $this->db->order_by('o.id','desc');
    $this->db->where('o.status','delivered');
    $this->db->limit($page,$seg);
    $query = $this->db->get();
    return $query->result_array();
}
public function delivered_orders_date_search_rows($delivered_orders_date_search){
    $this->db->where('created_on',$delivered_orders_date_search);
    $this->db->order_by('id','desc');
    $this->db->where('status','delivered');
    $query = $this->db->get('orders');
    return $query->num_rows();
}
public function delivered_orders_date_search($page,$seg,$delivered_orders_date_search){
    $this->db->select('o.*,u.name,ua.address')->from('orders o');
    $this->db->join('users u','u.id=o.user_id','left');
    $this->db->join('user_addresses ua','ua.user_id=o.user_id','left');
    $this->db->where('o.created_on',$delivered_orders_date_search);
    $this->db->order_by('o.id','desc');
    $this->db->where('o.status','delivered');
    $this->db->limit($page,$seg);
    $query = $this->db->get();
    return $query->result_array();
}
/*delivered orders*/

/*cancelled orders*/
public function get_cancelled_orders_rows(){
    $this->db->order_by('id','desc');
    $this->db->where('status','cancelled');
    $query = $this->db->get('orders');
    return $query->num_rows();
}
public function cancelled_orders($page,$seg){
    $this->db->select('o.*,u.name,ua.address')->from('orders o');
    $this->db->join('users u','u.id=o.user_id','left');
    $this->db->join('user_addresses ua','ua.user_id=o.user_id','left');
    $this->db->order_by('o.id','desc');
    $this->db->where('o.status','cancelled');
    $this->db->limit($page,$seg);
    $query = $this->db->get();
    return $query->result_array();
}
public function cancelled_orders_search_rows($cancelled_orders_search){
    $this->db->where('order_id',$cancelled_orders_search);
    $this->db->order_by('id','desc');
    $this->db->where('status','cancelled');
    $query = $this->db->get('orders');
    return $query->num_rows();
}
public function cancelled_orders_search($page,$seg,$cancelled_orders_search){
    $this->db->select('o.*,u.name,ua.address')->from('orders o');
    $this->db->join('users u','u.id=o.user_id','left');
    $this->db->join('user_addresses ua','ua.user_id=o.user_id','left');
    $this->db->where('o.order_id',$cancelled_orders_search);
    $this->db->order_by('o.id','desc');
    $this->db->where('o.status','cancelled');
    $this->db->limit($page,$seg);
    $query = $this->db->get();
    return $query->result_array();
}
public function cancelled_orders_date_search_rows($cancelled_orders_date_search){
    $this->db->where('created_on',$cancelled_orders_date_search);
    $this->db->order_by('id','desc');
    $this->db->where('status','cancelled');
    $query = $this->db->get('orders');
    return $query->num_rows();
}
public function cancelled_orders_date_search($page,$seg,$cancelled_orders_date_search){
    $this->db->select('o.*,u.name,ua.address')->from('orders o');
    $this->db->join('users u','u.id=o.user_id','left');
    $this->db->join('user_addresses ua','ua.user_id=o.user_id','left');
    $this->db->where('o.created_on',$cancelled_orders_date_search);
    $this->db->order_by('o.id','desc');
    $this->db->where('o.status','cancelled');
    $this->db->limit($page,$seg);
    $query = $this->db->get();
    return $query->result_array();
}
/*cancelled orders*/

/*ratings*/
public function fetch_ratings()
{
    $this->db->select('users.*,ratings.*');
    $this->db->from('ratings');
    $this->db->join('users','users.id = ratings.user_id','left');
    $this->db->order_by('ratings.id','desc');
    $query= $this->db->get();
	return $query->result_array();
}
/*ratings*/

/*delivery feedback*/
public function delivery_boy_feedback(){
    $this->db->select('dbf.*,db.name')->from('delivery_boy_feedbacks dbf');
    $this->db->join('delivery_boys db','db.id=dbf.db_id',"left");
    $this->db->order_by('id','desc');
    $query= $this->db->get();
	return $query->result_array();
}
/*delivery feedback*/

}
?>