<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Ws_model extends CI_Model{

/*default functions*/
public function common_fetch($table,$where){
	$this->db->where($where);
	$this->db->order_by('id','desc');
	$query = $this->db->get($table);
	return $query->result_array();
}
public function common_insert($table,$data){	
	$this->db->insert($table,$data);
	$id = $this->db->insert_id();
	return $id;
}
public function common_update($table,$data,$where){
	$this->db->where($where);
	$this->db->update($table,$data);
}
public function common_delete($table,$where){
	$this->db->where($where);
	$this->db->delete($table);
}
/*default functions*/

/*search*/
public function search($search){
    $this->db->like('name',$search);
    //$this->db->where('exclusive',$exclusive);
    $this->db->where('status',1);
    $this->db->where('delete_status',1);
    $this->db->order_by('id','desc');
    $query = $this->db->get('food_items');
    return $query->result_array();
}
/*search*/

/*home page*/
public function check_distance($data){
    $this->db->select("COALESCE(( 6371 * acos( cos( radians({$data['lat']}) ) * cos( radians( `lat` ) ) * cos( radians( lon ) - radians({$data['lon']}) ) + sin( radians({$data['lat']}) ) * sin( radians( `lat` ) ) ) ), 0) AS distance", False);
    $this->db->from('kings_dhaba_location kdl');
    $query = $this->db->get();
    return $query->result_array();
}
public function exclusive(){
    $this->db->where(array('exclusive' => 1,'status' => 1,'delete_status' => 1));
    $this->db->order_by('id','desc');
    $this->db->limit(5);
    $query = $this->db->get('food_items');
	return $query->result_array();
}
/*home page*/

/*booking module*/
public function get_ordered_items($order_id){
    $this->db->select('ot.quantity,ft.id,ft.name,ft.type,ft.price,ft.image')->from('ordered_items ot');
    $this->db->where('ot.order_id',$order_id);
    $this->db->join('food_items ft','ft.id=ot.food_item_id',"left");
    $query = $this->db->get();
	return $query->result_array();
}
public function get_track_orders($user_id){
    $this->db->where(array('user_id' => $user_id,'delivery_type' => 'delivery'));
    $this->db->group_start();
    $this->db->where('status!=','delivered');
    $this->db->or_where('status!=','cancelled');
    $this->db->group_end();
    $this->db->order_by('id','desc');
    $query = $this->db->get('orders');
	return $query->result_array();
}
/*notifications*/
public function user_noti_count($user_id){
    $this->db->where('user_id',$user_id);
    $this->db->where('read_status',0);
    $query = $this->db->get('notifications');
	return $query->num_rows();
}
public function user_notifications($user_id){
    $this->db->where('user_id',$user_id);
    $this->db->or_where('user_id','all');
    //$this->db->where('read_status',0);
    $this->db->order_by('id','desc');
    $query = $this->db->get('notifications');
	return $query->result_array();
}
/*notifications*/
/*booking module*/

/*delivery boy*/
public function pending($db_id){
    $this->db->where(array('db_id' => $db_id,'delivery_type' =>'delivery'));
    $this->db->group_start();
    $this->db->where('status','pickup');
    $this->db->or_where('status','ontheway');
    $this->db->group_end();
    $query = $this->db->get('orders');
	return $query->result_array();
}
public function pending_sort($db_id,$date){
    $this->db->where(array('db_id' => $db_id,'delivery_type' =>'delivery','created_on' => $date));
    $this->db->group_start();
    $this->db->where('status','pickup');
    $this->db->or_where('status','ontheway');
    $this->db->group_end();
    $query = $this->db->get('orders');
	return $query->result_array();
}

/*notifications*/
public function db_noti_count($db_id){
    $this->db->where('db_id',$db_id);
    $this->db->where('read_status',0);
    $query = $this->db->get('delivery_notifications');
	return $query->num_rows();
}
public function db_notifications($db_id){
    $this->db->where('db_id',$db_id);
    $this->db->or_where('db_id','all');
    //$this->db->where('read_status',0);
    $this->db->order_by('id','desc');
    $query = $this->db->get('delivery_notifications');
	return $query->result_array();
}
/*notifications*/

/*delivery boy*/

}
?>